<!DOCTYPE html>
<html>
<head>
    <title>Services Information</title>
    <style>
        /* Styles pour rendre le tableau responsive */
        table {
            width: 100%;
            border-collapse: collapse;
            margin-bottom: 20px;
        }
        th, td {
            padding: 8px;
            text-align: left;
            border-bottom: 1px solid #ddd;
        }
        th {
            background-color: #f2f2f2;
        }
        /* Styles pour la couleur du texte en fonction de l'état du service */
        .running {
            color: green;
        }
        .not-running {
            color: red;
        }
	/* Style pour l'heure */
    	#refresh-time {
        	font-size: 20px;
        	font-weight: bold;
        	padding: 5px 10px;
        	background-color: #333;
        	color: #fff;
        	border-radius: 5px;
        	box-shadow: 0 0 5px rgba(0, 0, 0, 0.5);
    	}
	.refresh-label {
        font-weight: bold;
        font-size: 18px;
        margin-right: 10px;
    	}

	/* Styles pour la couleur de needrestart */
        .need-restart-yes {
            color: red;
        }
        .need-restart-no {
            color: green;
        }
    </style>
    <!-- Inclure le script de Socket.IO -->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/socket.io/4.0.1/socket.io.js"></script>
    <link rel="stylesheet" href="https://cdn.datatables.net/1.13.6/css/jquery.dataTables.css" />
    <script src="https://www.unpkg.com/jquery@3.7.1/dist/jquery.js"></script>
    <script src="https://cdn.datatables.net/1.13.6/js/jquery.dataTables.js"></script>
    <script>
      // Se connecter au serveur WebSocket
      var socket = io.connect('http://' + document.domain + ':' + location.port);
      console.log("la soucket", socket)
      //  'data_updated'
      socket.on('data_updated', function(data) {
          // Mettez a jour votre page avec les nouvelles données ci
	  console.log("je suis iciiiii")
          console.log("Data updated:", data);
          // Par exemple, vous pouvez rafraîchir la page
          location.reload();
      });

  </script>
</head>
<body>
    <h1>Services Information (Machine: {{ machine_name }})</h1>
    <p><span class="refresh-label">Last Refresh:</span> <span id="refresh-time">{{ refresh_time }}</span></p>
    <table id="tablo">
        <thead>
            <tr>
                <th>Service</th>
                <th>Status</th>
                <th>Restart Date</th>
                <th>Version</th>
		<th>Need Restart</th>
            </tr>
        </thead>
        <tbody>
            {% for key, value in services.items() %}
	    	{% if key == 'services' %}
            		{% for service_name, service_data in value.items() %}
            <tr>
                <td>{{ service_name }}</td>
                <td class="{% if service_data.active_state == 'active' %}running{% else %}not-running{% endif %}">
                    {% if service_data.active_state == 'active' %}Running{% else %}Not Running{% endif %}
                </td>
                <td>{{ service_data.start_time }}</td>
                <td>{{ service_data.package_version }}</td>
                <td class="{% if service_data.need_restart == 'yes' %}need-restart-yes{% else %}need-restart-no{% endif %}">
                    {{ service_data.need_restart }}
                </td>
            </tr>
            {% endfor %}
	    {% endif %}
            {% endfor %}
        	</tbody>
    	</table>

	<table id="tablo_svc">
        <thead>
            <tr>
                <th>Service</th>
                <th>Need Restart</th>
            </tr>
        </thead>
        <tbody>
            {% for service_name, service_data in services.items() %}
                {% if service_name == 'other_services' %}
                        {% for other_service in service_data %}
            <tr>
		<td>{{ other_service }}</td>
                <td class="need-restart-yes">
                    yes
                </td>
            </tr>
            {% endfor %}
            {% endif %}
            {% endfor %}
                </tbody>
        </table>
    <script>
      window.table = new DataTable('#tablo', {
    	// options
	});
      window.table = new DataTable('#tablo_svc', {
        // options
        });
    </script>
</body>
</html>
